package com.zdqz.data.domain;

import java.math.BigDecimal;
import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;

/**
 * 病原体管理对象 data_base
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
public class DataBase extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 编号 */
	private Long id;

	private Integer type;

	/** 唯一注册号 */
	@Excel(name = "唯一注册号")
	private String assemblyAccession;

	/** 参考基因组类型 */
	@Excel(name = "参考基因组类型")
	private String refseqCategory;

	/** 分类号 */
	@Excel(name = "分类号")
	private String taxid;

	/** 种分类号 */
	@Excel(name = "种分类号")
	private String speciesTaxid;

	/** 生物名称 */
	@Excel(name = "生物名称")
	private String organismName;

	/** 亚种名称 */
	@Excel(name = "亚种名称")
	private String infraspecificName;

	/** 分类类型 */
	@Excel(name = "分类类型")
	private String isolate;

	/** 拼装级别 */
	@Excel(name = "拼装级别")
	private String assemblyLevel;

	/** 基因组级别 */
	@Excel(name = "基因组级别")
	private String genomeRep;

	/** seq_rel_date */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "seq_rel_date", width = 30, dateFormat = "yyyy-MM-dd")
	private Date seqRelDate;

	/** ASM编号 */
	@Excel(name = "ASM编号")
	private String asmName;

	/** gbrs_paired_asm */
	@Excel(name = "gbrs_paired_asm")
	private String gbrsPairedAsm;

	/** paired_asm_comp */
	@Excel(name = "paired_asm_comp")
	private String pairedAsmComp;

	/** 来源地址 */
	@Excel(name = "来源地址")
	private String ftpPath;

	/** excluded_from_refseq */
	@Excel(name = "excluded_from_refseq")
	private String excludedFromRefseq;

	/** 装配类型 */
	@Excel(name = "装配类型")
	private String assemblyType;

	/** 病源类型 */
	@Excel(name = "病源类型")
	private String group;

	/** 基因组大小 */
	@Excel(name = "基因组大小")
	private String genomeSize;

	/** 基因组大小（无缺口） */
	@Excel(name = "基因组大小", readConverterExp = "无=缺口")
	private String genomeSizeUngapped;

	/** GC比例 */
	@Excel(name = "GC比例")
	private BigDecimal gcPercent;

	/** replicon_count */
	@Excel(name = "replicon_count")
	private Long repliconCount;

	/** scaffold_count */
	@Excel(name = "scaffold_count")
	private Long scaffoldCount;

	/** contig_count */
	@Excel(name = "contig_count")
	private Long contigCount;

	/** 总基因数 */
	@Excel(name = "总基因数")
	private Long totalGeneCount;

	/** 翻译蛋白基因数 */
	@Excel(name = "翻译蛋白基因数")
	private Long proteinCodingGeneCount;

	/** 非编码基因数 */
	@Excel(name = "非编码基因数")
	private Long nonCodingGeneCount;

	/** 中文名 */
	@Excel(name = "中文名")
	private String nameCn;

	/** 定义 */
	@Excel(name = "定义")
	private String defined;

	/** 序列来源 */
	@Excel(name = "序列来源")
	private String seqSource;

	/** 解释来源 */
	@Excel(name = "解释来源")
	private String express;

	/** 文件路径 */
	@Excel(name = "文件路径")
	private String filePath;

	/** 点突变耐药基因 */
	@Excel(name = "点突变耐药基因")
	private String dtpnyjy;

	/** 点突变耐药基因说明 */
	@Excel(name = "点突变耐药基因说明")
	private String dtpnyjyExpress;

	/** 耐药基因 */
	@Excel(name = "耐药基因")
	private String nyjy;

	/** 耐药基因说明 */
	@Excel(name = "耐药基因说明")
	private String nyjyExpress;

	/** 毒力基因 */
	@Excel(name = "毒力基因")
	private String dljy;

	/** 毒力基因说明 */
	@Excel(name = "毒力基因说明")
	private String dljyExpress;

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public void setAssemblyAccession(String assemblyAccession) {
		this.assemblyAccession = assemblyAccession;
	}

	public String getAssemblyAccession() {
		return assemblyAccession;
	}

	public void setRefseqCategory(String refseqCategory) {
		this.refseqCategory = refseqCategory;
	}

	public String getRefseqCategory() {
		return refseqCategory;
	}

	public void setTaxid(String taxid) {
		this.taxid = taxid;
	}

	public String getTaxid() {
		return taxid;
	}

	public void setSpeciesTaxid(String speciesTaxid) {
		this.speciesTaxid = speciesTaxid;
	}

	public String getSpeciesTaxid() {
		return speciesTaxid;
	}

	public void setOrganismName(String organismName) {
		this.organismName = organismName;
	}

	public String getOrganismName() {
		return organismName;
	}

	public void setInfraspecificName(String infraspecificName) {
		this.infraspecificName = infraspecificName;
	}

	public String getInfraspecificName() {
		return infraspecificName;
	}

	public void setIsolate(String isolate) {
		this.isolate = isolate;
	}

	public String getIsolate() {
		return isolate;
	}

	public void setAssemblyLevel(String assemblyLevel) {
		this.assemblyLevel = assemblyLevel;
	}

	public String getAssemblyLevel() {
		return assemblyLevel;
	}

	public void setGenomeRep(String genomeRep) {
		this.genomeRep = genomeRep;
	}

	public String getGenomeRep() {
		return genomeRep;
	}

	public void setSeqRelDate(Date seqRelDate) {
		this.seqRelDate = seqRelDate;
	}

	public Date getSeqRelDate() {
		return seqRelDate;
	}

	public void setAsmName(String asmName) {
		this.asmName = asmName;
	}

	public String getAsmName() {
		return asmName;
	}

	public void setGbrsPairedAsm(String gbrsPairedAsm) {
		this.gbrsPairedAsm = gbrsPairedAsm;
	}

	public String getGbrsPairedAsm() {
		return gbrsPairedAsm;
	}

	public void setPairedAsmComp(String pairedAsmComp) {
		this.pairedAsmComp = pairedAsmComp;
	}

	public String getPairedAsmComp() {
		return pairedAsmComp;
	}

	public void setFtpPath(String ftpPath) {
		this.ftpPath = ftpPath;
	}

	public String getFtpPath() {
		return ftpPath;
	}

	public void setExcludedFromRefseq(String excludedFromRefseq) {
		this.excludedFromRefseq = excludedFromRefseq;
	}

	public String getExcludedFromRefseq() {
		return excludedFromRefseq;
	}

	public void setAssemblyType(String assemblyType) {
		this.assemblyType = assemblyType;
	}

	public String getAssemblyType() {
		return assemblyType;
	}

	public void setGroup(String group) {
		this.group = group;
	}

	public String getGroup() {
		return group;
	}

	public void setGenomeSize(String genomeSize) {
		this.genomeSize = genomeSize;
	}

	public String getGenomeSize() {
		return genomeSize;
	}

	public void setGenomeSizeUngapped(String genomeSizeUngapped) {
		this.genomeSizeUngapped = genomeSizeUngapped;
	}

	public String getGenomeSizeUngapped() {
		return genomeSizeUngapped;
	}

	public void setGcPercent(BigDecimal gcPercent) {
		this.gcPercent = gcPercent;
	}

	public BigDecimal getGcPercent() {
		return gcPercent;
	}

	public void setRepliconCount(Long repliconCount) {
		this.repliconCount = repliconCount;
	}

	public Long getRepliconCount() {
		return repliconCount;
	}

	public void setScaffoldCount(Long scaffoldCount) {
		this.scaffoldCount = scaffoldCount;
	}

	public Long getScaffoldCount() {
		return scaffoldCount;
	}

	public void setContigCount(Long contigCount) {
		this.contigCount = contigCount;
	}

	public Long getContigCount() {
		return contigCount;
	}

	public void setTotalGeneCount(Long totalGeneCount) {
		this.totalGeneCount = totalGeneCount;
	}

	public Long getTotalGeneCount() {
		return totalGeneCount;
	}

	public void setProteinCodingGeneCount(Long proteinCodingGeneCount) {
		this.proteinCodingGeneCount = proteinCodingGeneCount;
	}

	public Long getProteinCodingGeneCount() {
		return proteinCodingGeneCount;
	}

	public void setNonCodingGeneCount(Long nonCodingGeneCount) {
		this.nonCodingGeneCount = nonCodingGeneCount;
	}

	public Long getNonCodingGeneCount() {
		return nonCodingGeneCount;
	}

	public void setNameCn(String nameCn) {
		this.nameCn = nameCn;
	}

	public String getNameCn() {
		return nameCn;
	}

	public void setDefined(String defined) {
		this.defined = defined;
	}

	public String getDefined() {
		return defined;
	}

	public void setSeqSource(String seqSource) {
		this.seqSource = seqSource;
	}

	public String getSeqSource() {
		return seqSource;
	}

	public void setExpress(String express) {
		this.express = express;
	}

	public String getExpress() {
		return express;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setDtpnyjy(String dtpnyjy) {
		this.dtpnyjy = dtpnyjy;
	}

	public String getDtpnyjy() {
		return dtpnyjy;
	}

	public void setDtpnyjyExpress(String dtpnyjyExpress) {
		this.dtpnyjyExpress = dtpnyjyExpress;
	}

	public String getDtpnyjyExpress() {
		return dtpnyjyExpress;
	}

	public void setNyjy(String nyjy) {
		this.nyjy = nyjy;
	}

	public String getNyjy() {
		return nyjy;
	}

	public void setNyjyExpress(String nyjyExpress) {
		this.nyjyExpress = nyjyExpress;
	}

	public String getNyjyExpress() {
		return nyjyExpress;
	}

	public void setDljy(String dljy) {
		this.dljy = dljy;
	}

	public String getDljy() {
		return dljy;
	}

	public void setDljyExpress(String dljyExpress) {
		this.dljyExpress = dljyExpress;
	}

	public String getDljyExpress() {
		return dljyExpress;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("assemblyAccession", getAssemblyAccession())
				.append("refseqCategory", getRefseqCategory()).append("taxid", getTaxid()).append("speciesTaxid", getSpeciesTaxid()).append("organismName", getOrganismName())
				.append("infraspecificName", getInfraspecificName()).append("isolate", getIsolate()).append("assemblyLevel", getAssemblyLevel()).append("genomeRep", getGenomeRep())
				.append("seqRelDate", getSeqRelDate()).append("asmName", getAsmName()).append("gbrsPairedAsm", getGbrsPairedAsm()).append("pairedAsmComp", getPairedAsmComp())
				.append("ftpPath", getFtpPath()).append("excludedFromRefseq", getExcludedFromRefseq()).append("assemblyType", getAssemblyType()).append("group", getGroup())
				.append("genomeSize", getGenomeSize()).append("genomeSizeUngapped", getGenomeSizeUngapped()).append("gcPercent", getGcPercent())
				.append("repliconCount", getRepliconCount()).append("scaffoldCount", getScaffoldCount()).append("contigCount", getContigCount())
				.append("totalGeneCount", getTotalGeneCount()).append("proteinCodingGeneCount", getProteinCodingGeneCount()).append("nonCodingGeneCount", getNonCodingGeneCount())
				.append("nameCn", getNameCn()).append("defined", getDefined()).append("seqSource", getSeqSource()).append("express", getExpress()).append("filePath", getFilePath())
				.append("dtpnyjy", getDtpnyjy()).append("dtpnyjyExpress", getDtpnyjyExpress()).append("nyjy", getNyjy()).append("nyjyExpress", getNyjyExpress())
				.append("dljy", getDljy()).append("dljyExpress", getDljyExpress()).append("createBy", getCreateBy()).append("createTime", getCreateTime())
				.append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
	}
}
