package com.zdqz.data.service;

import java.util.List;
import com.zdqz.data.domain.DataBase;

/**
 * 病原体管理Service接口
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
public interface IDataBaseService {
	/**
	 * 查询病原体管理
	 * 
	 * @param id 病原体管理主键
	 * @return 病原体管理
	 */
	public DataBase selectDataBaseById(String id);

	/**
	 * 查询病原体管理列表
	 * 
	 * @param dataBase 病原体管理
	 * @return 病原体管理集合
	 */
	public List<DataBase> selectDataBaseList(DataBase dataBase);

	/**
	 * 新增病原体管理
	 * 
	 * @param dataBase 病原体管理
	 * @return 结果
	 */
	public int insertDataBase(DataBase dataBase);

	/**
	 * 批量删除病原体管理
	 * 
	 * @param ids 需要删除的病原体管理主键集合
	 * @return 结果
	 */
	public int deleteDataBaseByIds(String[] ids);

}
