package com.zdqz.data.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.zdqz.common.utils.DateUtils;
import com.zdqz.data.domain.DataBase;
import com.zdqz.data.mapper.DataBaseMapper;
import com.zdqz.data.service.IDataBaseService;

/**
 * 病原体管理Service业务层处理
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
@Service
public class DataBaseServiceImpl implements IDataBaseService {
	@Autowired
	private DataBaseMapper dataBaseMapper;

	/**
	 * 查询病原体管理
	 * 
	 * @param id 病原体管理主键
	 * @return 病原体管理
	 */
	@Override
	public DataBase selectDataBaseById(String id) {
		return dataBaseMapper.selectDataBaseById(id);
	}

	/**
	 * 查询病原体管理列表
	 * 
	 * @param dataBase 病原体管理
	 * @return 病原体管理
	 */
	@Override
	public List<DataBase> selectDataBaseList(DataBase dataBase) {
		return dataBaseMapper.selectDataBaseList(dataBase);
	}

	/**
	 * 新增病原体管理
	 * 
	 * @param dataBase 病原体管理
	 * @return 结果
	 */
	@Override
	public int insertDataBase(DataBase dataBase) {
		dataBase.setCreateTime(DateUtils.getNowDate());
		return dataBaseMapper.insertDataBase(dataBase);
	}

	/**
	 * 批量删除病原体管理
	 * 
	 * @param ids 需要删除的病原体管理主键
	 * @return 结果
	 */
	@Override
	public int deleteDataBaseByIds(String[] ids) {
		return dataBaseMapper.deleteDataBaseByIds(ids);
	}

}
