package com.zdqz.read.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;
import com.zdqz.data.domain.DataBase;

/**
 * 解读数据对象 read_data
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
public class ReadData extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 编号 */
	private Long id;

	/** 实验编号 */
	private Long experimentId;

	/** 唯一注册号 */
	@Excel(name = "唯一注册号")
	private String assemblyAccession;

	@Excel(name = "taxid")
	private String taxid;

	@Excel(name = "speciesTaxid")
	private String speciesTaxid;

	@Excel(name = "生物名称")
	private Long organismName;

	@Excel(name = "organismNameStd")
	private String organismNameStd;

	@Excel(name = "dHits")
	private Long dHits;

	@Excel(name = "rHits")
	private Long rHits;

	@Excel(name = "finalHits")
	private Long finalHits;

	/** 中文名 */
	@Excel(name = "中文名")
	private String nameCn;

	/** 定义 */
	@Excel(name = "定义")
	private String defined;

	private Long delFlag;
	
	
	private Long bytFilterStatus;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date bytFilterTime;
	
	private Long dljyFilterStatus;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date dljyFilterTime;
	
	private Long nyjyFilterStatus;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date nyjyFilterTime;
	
	private Long dtbnyjyFilterStatus;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date dtbnyjyFilterTime;

	private DataBase dataBase;
	
	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setExperimentId(Long experimentId) {
		this.experimentId = experimentId;
	}

	public Long getExperimentId() {
		return experimentId;
	}

	public void setAssemblyAccession(String assemblyAccession) {
		this.assemblyAccession = assemblyAccession;
	}

	public String getAssemblyAccession() {
		return assemblyAccession;
	}

	public void setTaxid(String taxid) {
		this.taxid = taxid;
	}

	public String getTaxid() {
		return taxid;
	}

	public void setSpeciesTaxid(String speciesTaxid) {
		this.speciesTaxid = speciesTaxid;
	}

	public String getSpeciesTaxid() {
		return speciesTaxid;
	}

	public void setOrganismName(Long organismName) {
		this.organismName = organismName;
	}

	public Long getOrganismName() {
		return organismName;
	}

	public void setOrganismNameStd(String organismNameStd) {
		this.organismNameStd = organismNameStd;
	}

	public String getOrganismNameStd() {
		return organismNameStd;
	}

	public void setdHits(Long dHits) {
		this.dHits = dHits;
	}

	public Long getdHits() {
		return dHits;
	}

	public void setrHits(Long rHits) {
		this.rHits = rHits;
	}

	public Long getrHits() {
		return rHits;
	}

	public void setFinalHits(Long finalHits) {
		this.finalHits = finalHits;
	}

	public Long getFinalHits() {
		return finalHits;
	}

	public void setNameCn(String nameCn) {
		this.nameCn = nameCn;
	}

	public String getNameCn() {
		return nameCn;
	}

	public void setDefined(String defined) {
		this.defined = defined;
	}

	public String getDefined() {
		return defined;
	}

	public void setDelFlag(Long delFlag) {
		this.delFlag = delFlag;
	}

	public Long getDelFlag() {
		return delFlag;
	}
	
	public Long getBytFilterStatus() {
		return bytFilterStatus;
	}

	public void setBytFilterStatus(Long bytFilterStatus) {
		this.bytFilterStatus = bytFilterStatus;
	}

	public Date getBytFilterTime() {
		return bytFilterTime;
	}

	public void setBytFilterTime(Date bytFilterTime) {
		this.bytFilterTime = bytFilterTime;
	}

	public Long getDljyFilterStatus() {
		return dljyFilterStatus;
	}

	public void setDljyFilterStatus(Long dljyFilterStatus) {
		this.dljyFilterStatus = dljyFilterStatus;
	}

	public Date getDljyFilterTime() {
		return dljyFilterTime;
	}

	public void setDljyFilterTime(Date dljyFilterTime) {
		this.dljyFilterTime = dljyFilterTime;
	}

	public Long getNyjyFilterStatus() {
		return nyjyFilterStatus;
	}

	public void setNyjyFilterStatus(Long nyjyFilterStatus) {
		this.nyjyFilterStatus = nyjyFilterStatus;
	}

	public Date getNyjyFilterTime() {
		return nyjyFilterTime;
	}

	public void setNyjyFilterTime(Date nyjyFilterTime) {
		this.nyjyFilterTime = nyjyFilterTime;
	}

	public Long getDtbnyjyFilterStatus() {
		return dtbnyjyFilterStatus;
	}

	public void setDtbnyjyFilterStatus(Long dtbnyjyFilterStatus) {
		this.dtbnyjyFilterStatus = dtbnyjyFilterStatus;
	}

	public Date getDtbnyjyFilterTime() {
		return dtbnyjyFilterTime;
	}

	public void setDtbnyjyFilterTime(Date dtbnyjyFilterTime) {
		this.dtbnyjyFilterTime = dtbnyjyFilterTime;
	}
	
	public DataBase getDataBase() {
		return dataBase;
	}

	public void setDataBase(DataBase dataBase) {
		this.dataBase = dataBase;
	}

}
