package com.zdqz.read.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 解读备注数据对象 read_remark
 * 
 * @author 攻心小虫
 * @date 2025-06-06
 */
@ApiModel(value="解读备注数据结构",description="解读备注数据结构")
public class ReadRemark extends BaseEntity {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value="编号",name="id",required = true)
	private Long id;

	@Excel(name = "实验编号")
	@ApiModelProperty(value="实验编号",name="experimentId",required = true)
	private Long experimentId;

	@Excel(name = "检测流程")
	@ApiModelProperty(value="检测流程",name="jclc",required = true)
	private String jclc;

	@Excel(name = "住院号")
	@ApiModelProperty(value="住院号",name="jclc")
	private String zyh;

	@Excel(name = "床号")
	@ApiModelProperty(value="床号",name="ch")
	private String ch;

	@JsonFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty(value="采集日期",name="cjsj")
	@Excel(name = "采集日期", width = 30, dateFormat = "yyyy-MM-dd")
	private Date cjsj;

	@JsonFormat(pattern = "yyyy-MM-dd")
	@ApiModelProperty(value="检测日期",name="jcsj")
	@Excel(name = "检测日期", width = 30, dateFormat = "yyyy-MM-dd")
	private Date jcsj;

	@Excel(name = "临床诊断")
	@ApiModelProperty(value="临床诊断",name="lczd")
	private String lczd;

	@Excel(name = "解读备注")
	@ApiModelProperty(value="解读备注",name="jdbz")
	private String jdbz;

	@Excel(name = "检测者")
	@ApiModelProperty(value="检测者",name="jcz",required = true)
	private String jcz;

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setExperimentId(Long experimentId) {
		this.experimentId = experimentId;
	}

	public Long getExperimentId() {
		return experimentId;
	}

	public void setJclc(String jclc) {
		this.jclc = jclc;
	}

	public String getJclc() {
		return jclc;
	}

	public void setZyh(String zyh) {
		this.zyh = zyh;
	}

	public String getZyh() {
		return zyh;
	}

	public void setCh(String ch) {
		this.ch = ch;
	}

	public String getCh() {
		return ch;
	}

	public void setCjsj(Date cjsj) {
		this.cjsj = cjsj;
	}

	public Date getCjsj() {
		return cjsj;
	}

	public void setJcsj(Date jcsj) {
		this.jcsj = jcsj;
	}

	public Date getJcsj() {
		return jcsj;
	}

	public void setLczd(String lczd) {
		this.lczd = lczd;
	}

	public String getLczd() {
		return lczd;
	}

	public void setJdbz(String jdbz) {
		this.jdbz = jdbz;
	}

	public String getJdbz() {
		return jdbz;
	}

	public void setJcz(String jcz) {
		this.jcz = jcz;
	}

	public String getJcz() {
		return jcz;
	}

}
