package com.zdqz.read.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.zdqz.common.utils.DateUtils;
import com.zdqz.read.domain.ReadRemark;
import com.zdqz.read.mapper.ReadRemarkMapper;
import com.zdqz.read.service.IReadRemarkService;

/**
 * 解读备注数据Service业务层处理
 * 
 * @author 攻心小虫
 * @date 2025-06-06
 */
@Service
public class ReadRemarkServiceImpl implements IReadRemarkService {
	@Autowired
	private ReadRemarkMapper readRemarkMapper;

	public ReadRemark selectReadRemarkById(Long id) {
		return readRemarkMapper.selectReadRemarkById(id);
	}

	public List<ReadRemark> selectReadRemarkList(ReadRemark readRemark) {
		return readRemarkMapper.selectReadRemarkList(readRemark);
	}

	public int insertReadRemark(ReadRemark readRemark) {
		readRemark.setCreateTime(DateUtils.getNowDate());
		return readRemarkMapper.insertReadRemark(readRemark);
	}

	public int updateReadRemark(ReadRemark readRemark) {
		readRemark.setUpdateTime(DateUtils.getNowDate());
		return readRemarkMapper.updateReadRemark(readRemark);
	}

	public int deleteReadRemarkByIds(Long[] ids) {
		return readRemarkMapper.deleteReadRemarkByIds(ids);
	}

	public int deleteReadRemarkById(Long id) {
		return readRemarkMapper.deleteReadRemarkById(id);
	}

	public ReadRemark selectReadRemarkByExperiment(Long experimentid) {
		return readRemarkMapper.selectReadRemarkByExperiment(experimentid);
	}
}
