package com.zdqz.sample.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;

/**
 * 样本管理对象 sample_info
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
public class SampleInfo extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 编号 */
	private Long id;

	/** 样本编号 */
	@Excel(name = "样本编码")
	private String sampleCode;

	/** 患者编号 */
	private Long patientId;

	@Excel(name = "患者名称")
	private String patientName;

	/** 患者电话 */
	@Excel(name = "患者电话")
	private String patientPhone;

	/** 样本类型 */
	private Long sampleTypeId;
	
	@Excel(name = "样本类型")
	private String sampleTypeName;

	/** 送检医院编号 */
	private Long sampleHospitalId;
	
	@Excel(name = "送检医院")
	private String sampleHospitalName;

	/** 送检科室编号 */
	private Long sampleDeptId;
	
	@Excel(name = "送检科室")
	private String sampleDeptName;

	/** 医生名字 */
	@Excel(name = "医生名字")
	private String doctorName;

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setSampleCode(String sampleCode) {
		this.sampleCode = sampleCode;
	}

	public String getSampleCode() {
		return sampleCode;
	}

	public void setPatientId(Long patientId) {
		this.patientId = patientId;
	}

	public Long getPatientId() {
		return patientId;
	}
	
	public String getPatientName() {
		return patientName;
	}

	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}

	public void setPatientPhone(String patientPhone) {
		this.patientPhone = patientPhone;
	}

	public String getPatientPhone() {
		return patientPhone;
	}

	public void setSampleTypeId(Long sampleTypeId) {
		this.sampleTypeId = sampleTypeId;
	}

	public Long getSampleTypeId() {
		return sampleTypeId;
	}

	public void setSampleHospitalId(Long sampleHospitalId) {
		this.sampleHospitalId = sampleHospitalId;
	}

	public Long getSampleHospitalId() {
		return sampleHospitalId;
	}

	public void setSampleDeptId(Long sampleDeptId) {
		this.sampleDeptId = sampleDeptId;
	}

	public Long getSampleDeptId() {
		return sampleDeptId;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	public String getDoctorName() {
		return doctorName;
	}

	
	public String getSampleTypeName() {
		return sampleTypeName;
	}

	public void setSampleTypeName(String sampleTypeName) {
		this.sampleTypeName = sampleTypeName;
	}

	public String getSampleHospitalName() {
		return sampleHospitalName;
	}

	public void setSampleHospitalName(String sampleHospitalName) {
		this.sampleHospitalName = sampleHospitalName;
	}

	public String getSampleDeptName() {
		return sampleDeptName;
	}

	public void setSampleDeptName(String sampleDeptName) {
		this.sampleDeptName = sampleDeptName;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("sampleCode", getSampleCode()).append("patientId", getPatientId())
				.append("patientPhone", getPatientPhone()).append("sampleTypeId", getSampleTypeId()).append("sampleHospitalId", getSampleHospitalId())
				.append("sampleDeptId", getSampleDeptId()).append("doctorName", getDoctorName()).append("createBy", getCreateBy()).append("createTime", getCreateTime())
				.append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
	}
}
