package com.zdqz.sample.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;

/**
 * 样本患者信息对象 sample_patient
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public class SamplePatient extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 病案号 */
    @Excel(name = "病案号")
    private String bahCode;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 出生年份(换算年龄) */
    @Excel(name = "出生年份(换算年龄)")
    private Long birth;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 既往健康 */
    @Excel(name = "既往健康")
    private String baseJwjk;

    /** 心血管病变（含高血压） */
    @Excel(name = "心血管病变", readConverterExp = "含=高血压")
    private String baseXxgbb;

    /** 自身免疫性疾病 */
    @Excel(name = "自身免疫性疾病")
    private String baseZsmyxjb;

    /** 器官移植 */
    @Excel(name = "器官移植")
    private String baseQgyz;

    /** 造血/骨髓干细胞移植 */
    @Excel(name = "造血/骨髓干细胞移植")
    private String baseGxbyz;

    /** COPD */
    @Excel(name = "COPD")
    private String baseCopd;

    /** 脑炎/脑膜炎/脊髓炎 */
    @Excel(name = "脑炎/脑膜炎/脊髓炎")
    private String baseJsy;

    /** 恶性肿瘤 */
    @Excel(name = "恶性肿瘤")
    private String baseExzl;

    /** HIV */
    @Excel(name = "HIV")
    private String baseHiv;

    /** 恶性血液病（白血病、MM等） */
    @Excel(name = "恶性血液病", readConverterExp = "白=血病、MM等")
    private String baseExxyb;

    /** 糖尿病 */
    @Excel(name = "糖尿病")
    private String baseTnb;

    /** 其他（写明） */
    @Excel(name = "其他", readConverterExp = "写=明")
    private String baseOther;

    /** 是否入住ICU */
    @Excel(name = "是否入住ICU")
    private String hospitalizedIcu;

    /** 是否伴有脓毒症 */
    @Excel(name = "是否伴有脓毒症")
    private String hospitalizedNdz;

    /** 是否机械通气 */
    @Excel(name = "是否机械通气")
    private String hospitalizedJxtq;

    /** 咳嗽咳痰 */
    @Excel(name = "咳嗽咳痰")
    private String hospitalizedKskt;

    /** 发热 */
    @Excel(name = "发热")
    private String hospitalizedFr;

    /** 腹泻 */
    @Excel(name = "腹泻")
    private String hospitalizedFx;

    /** 呕吐 */
    @Excel(name = "呕吐")
    private String hospitalizedHt;

    /** 胸痛 */
    @Excel(name = "胸痛")
    private String hospitalizedXt;

    /** 咯血 */
    @Excel(name = "咯血")
    private String hospitalizedKx;

    /** 肌肉酸痛 */
    @Excel(name = "肌肉酸痛")
    private String hospitalizedJrst;

    /** 胸闷、气急 */
    @Excel(name = "胸闷、气急")
    private String hospitalizedXm;

    /** 头痛头晕 */
    @Excel(name = "头痛头晕")
    private String hospitalizedTtty;

    /** 其他 */
    @Excel(name = "其他")
    private String hospitalizedOther;

    /** WBC */
    @Excel(name = "WBC")
    private String bloodWbc;

    /** NEUT(%) */
    @Excel(name = "NEUT(%)")
    private String bloodNeut;

    /** L（%） */
    @Excel(name = "L", readConverterExp = "%=")
    private String bloodL;

    /** C-反应蛋白 */
    @Excel(name = "C-反应蛋白")
    private String bloodFydb;

    /** 降钙素原 */
    @Excel(name = "降钙素原")
    private String bloodJgsy;

    /** CD4计数 */
    @Excel(name = "CD4计数")
    private String bloodCd4;

    /** ALT */
    @Excel(name = "ALT")
    private String liverAlt;

    /** AST */
    @Excel(name = "AST")
    private String liverAst;

    /** GGT */
    @Excel(name = "GGT")
    private String liverGgt;

    /** Tbil */
    @Excel(name = "Tbil")
    private String liverTbil;

    /** 尿素 */
    @Excel(name = "尿素")
    private String kidneyNs;

    /** 血肌酐 */
    @Excel(name = "血肌酐")
    private String kidneyXjg;

    /** 血β2-微球蛋白 */
    @Excel(name = "血β2-微球蛋白")
    private String kidneyWqdb;

    /** 尿酸 */
    @Excel(name = "尿酸")
    private String kidneyNs2;

    /** 肺空洞 */
    @Excel(name = "肺空洞")
    private String lungsFkd;

    /** 磨玻璃样影 */
    @Excel(name = "磨玻璃样影")
    private String lungsMblyy;

    /** 肺结节 */
    @Excel(name = "肺结节")
    private String lungsFjj;

    /** 多发斑片实变影 */
    @Excel(name = "多发斑片实变影")
    private String lungsDfbpsby;

    /** 胸腔积液 */
    @Excel(name = "胸腔积液")
    private String lungsXqjy;

    /** 胸膜增厚 */
    @Excel(name = "胸膜增厚")
    private String lungsXmzh;

    /** 纵膈淋巴结增大 */
    @Excel(name = "纵膈淋巴结增大")
    private String lungsZglbjzd;

    /** 如不确定前面的分类，请将CT报告的完整描述贴到此栏 */
    @Excel(name = "如不确定前面的分类，请将CT报告的完整描述贴到此栏")
    private String lungsOther;

    /** 培养 */
    @Excel(name = "培养")
    private String otherPy;

    /** 血清学 */
    @Excel(name = "血清学")
    private String otherXqx;

    /** PCR */
    @Excel(name = "PCR")
    private String otherPcr;

    /** 抗生素 */
    @Excel(name = "抗生素")
    private String treatKss;

    /** 抗病毒药物 */
    @Excel(name = "抗病毒药物")
    private String treatKbdyw;

    /** 体液支持 */
    @Excel(name = "体液支持")
    private String treatTyzc;

    /** 免疫球蛋白 */
    @Excel(name = "免疫球蛋白")
    private String treatMyqdb;

    /** ECMO支持 */
    @Excel(name = "ECMO支持")
    private String treatEcmo;

    /** 其他 */
    @Excel(name = "其他")
    private String treatOther;

    /** 小于28天内死亡 */
    @Excel(name = "小于28天内死亡")
    private String returnLt28death;

    /** 90天死亡 */
    @Excel(name = "90天死亡")
    private String return90death;

    /** 死亡距发病时间（&gt;90天的填写） */
    @Excel(name = "死亡距发病时间", readConverterExp = "&=gt;90天的填写")
    private String returnLg90death;

    /** 目前存活 */
    @Excel(name = "目前存活")
    private String returnLive;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setBahCode(String bahCode) 
    {
        this.bahCode = bahCode;
    }

    public String getBahCode() 
    {
        return bahCode;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setBirth(Long birth) 
    {
        this.birth = birth;
    }

    public Long getBirth() 
    {
        return birth;
    }

    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }

    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    public void setBaseJwjk(String baseJwjk) 
    {
        this.baseJwjk = baseJwjk;
    }

    public String getBaseJwjk() 
    {
        return baseJwjk;
    }

    public void setBaseXxgbb(String baseXxgbb) 
    {
        this.baseXxgbb = baseXxgbb;
    }

    public String getBaseXxgbb() 
    {
        return baseXxgbb;
    }

    public void setBaseZsmyxjb(String baseZsmyxjb) 
    {
        this.baseZsmyxjb = baseZsmyxjb;
    }

    public String getBaseZsmyxjb() 
    {
        return baseZsmyxjb;
    }

    public void setBaseQgyz(String baseQgyz) 
    {
        this.baseQgyz = baseQgyz;
    }

    public String getBaseQgyz() 
    {
        return baseQgyz;
    }

    public void setBaseGxbyz(String baseGxbyz) 
    {
        this.baseGxbyz = baseGxbyz;
    }

    public String getBaseGxbyz() 
    {
        return baseGxbyz;
    }

    public void setBaseCopd(String baseCopd) 
    {
        this.baseCopd = baseCopd;
    }

    public String getBaseCopd() 
    {
        return baseCopd;
    }

    public void setBaseJsy(String baseJsy) 
    {
        this.baseJsy = baseJsy;
    }

    public String getBaseJsy() 
    {
        return baseJsy;
    }

    public void setBaseExzl(String baseExzl) 
    {
        this.baseExzl = baseExzl;
    }

    public String getBaseExzl() 
    {
        return baseExzl;
    }

    public void setBaseHiv(String baseHiv) 
    {
        this.baseHiv = baseHiv;
    }

    public String getBaseHiv() 
    {
        return baseHiv;
    }

    public void setBaseExxyb(String baseExxyb) 
    {
        this.baseExxyb = baseExxyb;
    }

    public String getBaseExxyb() 
    {
        return baseExxyb;
    }

    public void setBaseTnb(String baseTnb) 
    {
        this.baseTnb = baseTnb;
    }

    public String getBaseTnb() 
    {
        return baseTnb;
    }

    public void setBaseOther(String baseOther) 
    {
        this.baseOther = baseOther;
    }

    public String getBaseOther() 
    {
        return baseOther;
    }

    public void setHospitalizedIcu(String hospitalizedIcu) 
    {
        this.hospitalizedIcu = hospitalizedIcu;
    }

    public String getHospitalizedIcu() 
    {
        return hospitalizedIcu;
    }

    public void setHospitalizedNdz(String hospitalizedNdz) 
    {
        this.hospitalizedNdz = hospitalizedNdz;
    }

    public String getHospitalizedNdz() 
    {
        return hospitalizedNdz;
    }

    public void setHospitalizedJxtq(String hospitalizedJxtq) 
    {
        this.hospitalizedJxtq = hospitalizedJxtq;
    }

    public String getHospitalizedJxtq() 
    {
        return hospitalizedJxtq;
    }

    public void setHospitalizedKskt(String hospitalizedKskt) 
    {
        this.hospitalizedKskt = hospitalizedKskt;
    }

    public String getHospitalizedKskt() 
    {
        return hospitalizedKskt;
    }

    public void setHospitalizedFr(String hospitalizedFr) 
    {
        this.hospitalizedFr = hospitalizedFr;
    }

    public String getHospitalizedFr() 
    {
        return hospitalizedFr;
    }

    public void setHospitalizedFx(String hospitalizedFx) 
    {
        this.hospitalizedFx = hospitalizedFx;
    }

    public String getHospitalizedFx() 
    {
        return hospitalizedFx;
    }

    public void setHospitalizedHt(String hospitalizedHt) 
    {
        this.hospitalizedHt = hospitalizedHt;
    }

    public String getHospitalizedHt() 
    {
        return hospitalizedHt;
    }

    public void setHospitalizedXt(String hospitalizedXt) 
    {
        this.hospitalizedXt = hospitalizedXt;
    }

    public String getHospitalizedXt() 
    {
        return hospitalizedXt;
    }

    public void setHospitalizedKx(String hospitalizedKx) 
    {
        this.hospitalizedKx = hospitalizedKx;
    }

    public String getHospitalizedKx() 
    {
        return hospitalizedKx;
    }

    public void setHospitalizedJrst(String hospitalizedJrst) 
    {
        this.hospitalizedJrst = hospitalizedJrst;
    }

    public String getHospitalizedJrst() 
    {
        return hospitalizedJrst;
    }

    public void setHospitalizedXm(String hospitalizedXm) 
    {
        this.hospitalizedXm = hospitalizedXm;
    }

    public String getHospitalizedXm() 
    {
        return hospitalizedXm;
    }

    public void setHospitalizedTtty(String hospitalizedTtty) 
    {
        this.hospitalizedTtty = hospitalizedTtty;
    }

    public String getHospitalizedTtty() 
    {
        return hospitalizedTtty;
    }

    public void setHospitalizedOther(String hospitalizedOther) 
    {
        this.hospitalizedOther = hospitalizedOther;
    }

    public String getHospitalizedOther() 
    {
        return hospitalizedOther;
    }

    public void setBloodWbc(String bloodWbc) 
    {
        this.bloodWbc = bloodWbc;
    }

    public String getBloodWbc() 
    {
        return bloodWbc;
    }

    public void setBloodNeut(String bloodNeut) 
    {
        this.bloodNeut = bloodNeut;
    }

    public String getBloodNeut() 
    {
        return bloodNeut;
    }

    public void setBloodL(String bloodL) 
    {
        this.bloodL = bloodL;
    }

    public String getBloodL() 
    {
        return bloodL;
    }

    public void setBloodFydb(String bloodFydb) 
    {
        this.bloodFydb = bloodFydb;
    }

    public String getBloodFydb() 
    {
        return bloodFydb;
    }

    public void setBloodJgsy(String bloodJgsy) 
    {
        this.bloodJgsy = bloodJgsy;
    }

    public String getBloodJgsy() 
    {
        return bloodJgsy;
    }

    public void setBloodCd4(String bloodCd4) 
    {
        this.bloodCd4 = bloodCd4;
    }

    public String getBloodCd4() 
    {
        return bloodCd4;
    }

    public void setLiverAlt(String liverAlt) 
    {
        this.liverAlt = liverAlt;
    }

    public String getLiverAlt() 
    {
        return liverAlt;
    }

    public void setLiverAst(String liverAst) 
    {
        this.liverAst = liverAst;
    }

    public String getLiverAst() 
    {
        return liverAst;
    }

    public void setLiverGgt(String liverGgt) 
    {
        this.liverGgt = liverGgt;
    }

    public String getLiverGgt() 
    {
        return liverGgt;
    }

    public void setLiverTbil(String liverTbil) 
    {
        this.liverTbil = liverTbil;
    }

    public String getLiverTbil() 
    {
        return liverTbil;
    }

    public void setKidneyNs(String kidneyNs) 
    {
        this.kidneyNs = kidneyNs;
    }

    public String getKidneyNs() 
    {
        return kidneyNs;
    }

    public void setKidneyXjg(String kidneyXjg) 
    {
        this.kidneyXjg = kidneyXjg;
    }

    public String getKidneyXjg() 
    {
        return kidneyXjg;
    }

    public void setKidneyWqdb(String kidneyWqdb) 
    {
        this.kidneyWqdb = kidneyWqdb;
    }

    public String getKidneyWqdb() 
    {
        return kidneyWqdb;
    }

    public void setKidneyNs2(String kidneyNs2) 
    {
        this.kidneyNs2 = kidneyNs2;
    }

    public String getKidneyNs2() 
    {
        return kidneyNs2;
    }

    public void setLungsFkd(String lungsFkd) 
    {
        this.lungsFkd = lungsFkd;
    }

    public String getLungsFkd() 
    {
        return lungsFkd;
    }

    public void setLungsMblyy(String lungsMblyy) 
    {
        this.lungsMblyy = lungsMblyy;
    }

    public String getLungsMblyy() 
    {
        return lungsMblyy;
    }

    public void setLungsFjj(String lungsFjj) 
    {
        this.lungsFjj = lungsFjj;
    }

    public String getLungsFjj() 
    {
        return lungsFjj;
    }

    public void setLungsDfbpsby(String lungsDfbpsby) 
    {
        this.lungsDfbpsby = lungsDfbpsby;
    }

    public String getLungsDfbpsby() 
    {
        return lungsDfbpsby;
    }

    public void setLungsXqjy(String lungsXqjy) 
    {
        this.lungsXqjy = lungsXqjy;
    }

    public String getLungsXqjy() 
    {
        return lungsXqjy;
    }

    public void setLungsXmzh(String lungsXmzh) 
    {
        this.lungsXmzh = lungsXmzh;
    }

    public String getLungsXmzh() 
    {
        return lungsXmzh;
    }

    public void setLungsZglbjzd(String lungsZglbjzd) 
    {
        this.lungsZglbjzd = lungsZglbjzd;
    }

    public String getLungsZglbjzd() 
    {
        return lungsZglbjzd;
    }

    public void setLungsOther(String lungsOther) 
    {
        this.lungsOther = lungsOther;
    }

    public String getLungsOther() 
    {
        return lungsOther;
    }

    public void setOtherPy(String otherPy) 
    {
        this.otherPy = otherPy;
    }

    public String getOtherPy() 
    {
        return otherPy;
    }

    public void setOtherXqx(String otherXqx) 
    {
        this.otherXqx = otherXqx;
    }

    public String getOtherXqx() 
    {
        return otherXqx;
    }

    public void setOtherPcr(String otherPcr) 
    {
        this.otherPcr = otherPcr;
    }

    public String getOtherPcr() 
    {
        return otherPcr;
    }

    public void setTreatKss(String treatKss) 
    {
        this.treatKss = treatKss;
    }

    public String getTreatKss() 
    {
        return treatKss;
    }

    public void setTreatKbdyw(String treatKbdyw) 
    {
        this.treatKbdyw = treatKbdyw;
    }

    public String getTreatKbdyw() 
    {
        return treatKbdyw;
    }

    public void setTreatTyzc(String treatTyzc) 
    {
        this.treatTyzc = treatTyzc;
    }

    public String getTreatTyzc() 
    {
        return treatTyzc;
    }

    public void setTreatMyqdb(String treatMyqdb) 
    {
        this.treatMyqdb = treatMyqdb;
    }

    public String getTreatMyqdb() 
    {
        return treatMyqdb;
    }

    public void setTreatEcmo(String treatEcmo) 
    {
        this.treatEcmo = treatEcmo;
    }

    public String getTreatEcmo() 
    {
        return treatEcmo;
    }

    public void setTreatOther(String treatOther) 
    {
        this.treatOther = treatOther;
    }

    public String getTreatOther() 
    {
        return treatOther;
    }

    public void setReturnLt28death(String returnLt28death) 
    {
        this.returnLt28death = returnLt28death;
    }

    public String getReturnLt28death() 
    {
        return returnLt28death;
    }

    public void setReturn90death(String return90death) 
    {
        this.return90death = return90death;
    }

    public String getReturn90death() 
    {
        return return90death;
    }

    public void setReturnLg90death(String returnLg90death) 
    {
        this.returnLg90death = returnLg90death;
    }

    public String getReturnLg90death() 
    {
        return returnLg90death;
    }

    public void setReturnLive(String returnLive) 
    {
        this.returnLive = returnLive;
    }

    public String getReturnLive() 
    {
        return returnLive;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bahCode", getBahCode())
            .append("name", getName())
            .append("birth", getBirth())
            .append("sex", getSex())
            .append("address", getAddress())
            .append("baseJwjk", getBaseJwjk())
            .append("baseXxgbb", getBaseXxgbb())
            .append("baseZsmyxjb", getBaseZsmyxjb())
            .append("baseQgyz", getBaseQgyz())
            .append("baseGxbyz", getBaseGxbyz())
            .append("baseCopd", getBaseCopd())
            .append("baseJsy", getBaseJsy())
            .append("baseExzl", getBaseExzl())
            .append("baseHiv", getBaseHiv())
            .append("baseExxyb", getBaseExxyb())
            .append("baseTnb", getBaseTnb())
            .append("baseOther", getBaseOther())
            .append("hospitalizedIcu", getHospitalizedIcu())
            .append("hospitalizedNdz", getHospitalizedNdz())
            .append("hospitalizedJxtq", getHospitalizedJxtq())
            .append("hospitalizedKskt", getHospitalizedKskt())
            .append("hospitalizedFr", getHospitalizedFr())
            .append("hospitalizedFx", getHospitalizedFx())
            .append("hospitalizedHt", getHospitalizedHt())
            .append("hospitalizedXt", getHospitalizedXt())
            .append("hospitalizedKx", getHospitalizedKx())
            .append("hospitalizedJrst", getHospitalizedJrst())
            .append("hospitalizedXm", getHospitalizedXm())
            .append("hospitalizedTtty", getHospitalizedTtty())
            .append("hospitalizedOther", getHospitalizedOther())
            .append("bloodWbc", getBloodWbc())
            .append("bloodNeut", getBloodNeut())
            .append("bloodL", getBloodL())
            .append("bloodFydb", getBloodFydb())
            .append("bloodJgsy", getBloodJgsy())
            .append("bloodCd4", getBloodCd4())
            .append("liverAlt", getLiverAlt())
            .append("liverAst", getLiverAst())
            .append("liverGgt", getLiverGgt())
            .append("liverTbil", getLiverTbil())
            .append("kidneyNs", getKidneyNs())
            .append("kidneyXjg", getKidneyXjg())
            .append("kidneyWqdb", getKidneyWqdb())
            .append("kidneyNs2", getKidneyNs2())
            .append("lungsFkd", getLungsFkd())
            .append("lungsMblyy", getLungsMblyy())
            .append("lungsFjj", getLungsFjj())
            .append("lungsDfbpsby", getLungsDfbpsby())
            .append("lungsXqjy", getLungsXqjy())
            .append("lungsXmzh", getLungsXmzh())
            .append("lungsZglbjzd", getLungsZglbjzd())
            .append("lungsOther", getLungsOther())
            .append("otherPy", getOtherPy())
            .append("otherXqx", getOtherXqx())
            .append("otherPcr", getOtherPcr())
            .append("treatKss", getTreatKss())
            .append("treatKbdyw", getTreatKbdyw())
            .append("treatTyzc", getTreatTyzc())
            .append("treatMyqdb", getTreatMyqdb())
            .append("treatEcmo", getTreatEcmo())
            .append("treatOther", getTreatOther())
            .append("returnLt28death", getReturnLt28death())
            .append("return90death", getReturn90death())
            .append("returnLg90death", getReturnLg90death())
            .append("returnLive", getReturnLive())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
