package com.zdqz.sample.mapper;

import java.util.List;
import com.zdqz.sample.domain.SampleHospital;

/**
 * 送检医院Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public interface SampleHospitalMapper 
{
    /**
     * 查询送检医院
     * 
     * @param id 送检医院主键
     * @return 送检医院
     */
    public SampleHospital selectSampleHospitalById(Long id);

    /**
     * 查询送检医院列表
     * 
     * @param sampleHospital 送检医院
     * @return 送检医院集合
     */
    public List<SampleHospital> selectSampleHospitalList(SampleHospital sampleHospital);

    /**
     * 新增送检医院
     * 
     * @param sampleHospital 送检医院
     * @return 结果
     */
    public int insertSampleHospital(SampleHospital sampleHospital);

    /**
     * 修改送检医院
     * 
     * @param sampleHospital 送检医院
     * @return 结果
     */
    public int updateSampleHospital(SampleHospital sampleHospital);

    /**
     * 删除送检医院
     * 
     * @param id 送检医院主键
     * @return 结果
     */
    public int deleteSampleHospitalById(Long id);

    /**
     * 批量删除送检医院
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSampleHospitalByIds(Long[] ids);
}
