package com.zdqz.sample.service;

import java.util.List;
import com.zdqz.sample.domain.SampleExperiment;

/**
 * 解读管理Service接口
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
public interface ISampleExperimentService 
{
    /**
     * 查询解读管理
     * 
     * @param id 解读管理主键
     * @return 解读管理
     */
    public SampleExperiment selectSampleExperimentById(Long id);

    /**
     * 查询解读管理列表
     * 
     * @param sampleExperiment 解读管理
     * @return 解读管理集合
     */
    public List<SampleExperiment> selectSampleExperimentList(SampleExperiment sampleExperiment);

    /**
     * 新增解读管理
     * 
     * @param sampleExperiment 解读管理
     * @return 结果
     */
    public int insertSampleExperiment(SampleExperiment sampleExperiment);

    /**
     * 修改解读管理
     * 
     * @param sampleExperiment 解读管理
     * @return 结果
     */
    public int updateSampleExperiment(SampleExperiment sampleExperiment);

    /**
     * 批量删除解读管理
     * 
     * @param ids 需要删除的解读管理主键集合
     * @return 结果
     */
    public int deleteSampleExperimentByIds(Long[] ids);

    /**
     * 删除解读管理信息
     * 
     * @param id 解读管理主键
     * @return 结果
     */
    public int deleteSampleExperimentById(Long id);

	public void readData(Long id) throws Exception;

	public void generator(Long id);
}
