package com.zdqz.sample.service.impl;

import java.util.List;
import com.zdqz.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zdqz.sample.mapper.SampleInfoMapper;
import com.zdqz.sample.domain.SampleInfo;
import com.zdqz.sample.service.ISampleInfoService;

/**
 * 样本管理Service业务层处理
 * 
 * @author 攻心小虫
 * @date 2025-06-05
 */
@Service
public class SampleInfoServiceImpl implements ISampleInfoService {
	@Autowired
	private SampleInfoMapper sampleInfoMapper;

	public SampleInfo selectSampleInfoById(Long id) {
		return sampleInfoMapper.selectSampleInfoById(id);
	}

	public List<SampleInfo> selectSampleInfoList(SampleInfo sampleInfo) {
		return sampleInfoMapper.selectSampleInfoList(sampleInfo);
	}

	public int insertSampleInfo(SampleInfo sampleInfo) {
		sampleInfo.setCreateTime(DateUtils.getNowDate());
		return sampleInfoMapper.insertSampleInfo(sampleInfo);
	}

	public int updateSampleInfo(SampleInfo sampleInfo) {
		sampleInfo.setUpdateTime(DateUtils.getNowDate());
		return sampleInfoMapper.updateSampleInfo(sampleInfo);
	}

	public int deleteSampleInfoByIds(Long[] ids) {
		return sampleInfoMapper.deleteSampleInfoByIds(ids);
	}

	public int deleteSampleInfoById(Long id) {
		return sampleInfoMapper.deleteSampleInfoById(id);
	}

	public SampleInfo selectSampleInfoByExperiment(Long experimentid) {
		return sampleInfoMapper.selectSampleInfoByExperiment(experimentid);
	}
}
