package com.zdqz.system.mapper;

import java.util.List;
import com.zdqz.system.domain.SysArea;

/**
 * 全球地区库Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public interface SysAreaMapper 
{
    /**
     * 查询全球地区库
     * 
     * @param areaId 全球地区库主键
     * @return 全球地区库
     */
    public SysArea selectSysAreaByAreaId(String areaId);

    /**
     * 查询全球地区库列表
     * 
     * @param sysArea 全球地区库
     * @return 全球地区库集合
     */
    public List<SysArea> selectSysAreaList(SysArea sysArea);

    /**
     * 新增全球地区库
     * 
     * @param sysArea 全球地区库
     * @return 结果
     */
    public int insertSysArea(SysArea sysArea);

    /**
     * 修改全球地区库
     * 
     * @param sysArea 全球地区库
     * @return 结果
     */
    public int updateSysArea(SysArea sysArea);

    /**
     * 删除全球地区库
     * 
     * @param areaId 全球地区库主键
     * @return 结果
     */
    public int deleteSysAreaByAreaId(String areaId);

    /**
     * 批量删除全球地区库
     * 
     * @param areaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysAreaByAreaIds(String[] areaIds);
}
