package com.zdqz.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 * 
 * @author 攻心小虫
 */
@Component
@ConfigurationProperties(prefix = "zdqz")
public class ZdqzConfig {

	/** 上传路径 */
	private static String profile;

	/** 验证码类型 */
	private static String captchaType;
	
	/** 用户管理-账号初始密码  **/
	private static String initPassword;
	
	private static String readFilePath;
	

	public static String getReadFilePath() {
		return readFilePath;
	}

	public static void setReadFilePath(String readFilePath) {
		ZdqzConfig.readFilePath = readFilePath;
	}

	public static String getProfile() {
		return profile;
	}

	public void setProfile(String profile) {
		ZdqzConfig.profile = profile;
	}

	public static String getCaptchaType() {
		return captchaType;
	}

	public void setCaptchaType(String captchaType) {
		ZdqzConfig.captchaType = captchaType;
	}

	public static String getInitPassword() {
		return initPassword;
	}

	public static void setInitPassword(String initPassword) {
		ZdqzConfig.initPassword = initPassword;
	}

	/**
	 * 获取导入上传路径
	 */
	public static String getImportPath() {
		return getProfile() + "/import";
	}

	/**
	 * 获取下载路径
	 */
	public static String getDownloadPath() {
		return getProfile() + "/download/";
	}

	/**
	 * 获取上传路径
	 */
	public static String getUploadPath() {
		return getProfile() + "/upload";
	}
	
	
	public static String getBakPath() {
		return getProfile() + "/bak/";
	}

	public static String getReportPath() {
		return getProfile() + "/report";
	}
	
}
